| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
IAlgContextSvc Class Referenceabstract

An abstract interface for Algorithm Context Service. More...

`#include <GaudiKernel/IAlgContextSvc.h>`

Inheritance diagram for IAlgContextSvc:
[legend]
Collaboration diagram for IAlgContextSvc:
[legend]

## Public Types
typedef std::vector< IAlgorithm * > | Algorithms
| the actual type of algorithm' stack More...
Public Types inherited from IInterface
enum | Status { SUCCESS = 1, NO_INTERFACE, VERSMISMATCH, LAST_ERROR }
| Return status. More...
using | iid = Gaudi::InterfaceId< IInterface, 0, 0 >
| Interface ID. More...
using | ext_iids = Gaudi::interface_list< iid >
| Extra interfaces. More...

## Public Member Functions
| DeclareInterfaceID (IAlgContextSvc, 3, 0)
| InterfaceID. More...
virtual StatusCode | setCurrentAlg (IAlgorithm *a)=0
| set the currently executing algorithm ("push_back") More...
virtual StatusCode | unSetCurrentAlg (IAlgorithm *a)=0
| remove the algorithm ("pop_back") More...
virtual IAlgorithm * | currentAlg () const =0
| accessor to current algorithm: More...
virtual const Algorithms & | algorithms () const =0
| get the stack of executed algorithms More...
Public Member Functions inherited from IInterface
virtual void * | i_cast (const InterfaceID &) const =0
| main cast function More...
virtual std::vector< std::string > | getInterfaceNames () const =0
| Returns a vector of strings containing the names of all the implemented interfaces. More...
virtual unsigned long | addRef ()=0
| Increment the reference count of Interface instance. More...
virtual unsigned long | release ()=0
| Release Interface instance. More...
virtual unsigned long | refCount () const =0
| Current reference count. More...
virtual StatusCode | queryInterface (const InterfaceID &ti, void **pp)=0
| Set the void** to the pointer to the requested interface of the instance. More...
virtual | ~IInterface ()=default
| Virtual destructor. More...

## Additional Inherited Members
Static Public Member Functions inherited from IInterface
static const InterfaceID & | interfaceID ()
| Return an instance of InterfaceID identifying the interface. More...

## Detailed Description

An abstract interface for Algorithm Context Service.

Author
  ATLAS Collaboration
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2007-03-07 (modified)

Definition at line 23 of file IAlgContextSvc.h.

## Member Typedef Documentation

typedef std::vector<IAlgorithm*> IAlgContextSvc::Algorithms

the actual type of algorithm' stack

Definition at line 29 of file IAlgContextSvc.h.

## Member Function Documentation

virtual const Algorithms& IAlgContextSvc::algorithms | ( |  | ) | const
| pure virtual

get the stack of executed algorithms

virtual IAlgorithm* IAlgContextSvc::currentAlg | ( |  | ) | const
| pure virtual

accessor to current algorithm:

IAlgContextSvc::DeclareInterfaceID | ( | IAlgContextSvc | ,
|  | 3 | ,
|  | 0 |
| ) |  |

InterfaceID.

virtual StatusCode IAlgContextSvc::setCurrentAlg | ( | IAlgorithm * | a | ) |
| pure virtual

set the currently executing algorithm ("push_back")

virtual StatusCode IAlgContextSvc::unSetCurrentAlg | ( | IAlgorithm * | a | ) |
| pure virtual

remove the algorithm ("pop_back")

The documentation for this class was generated from the following file:

- GaudiKernel/GaudiKernel/IAlgContextSvc.h